Create a Devices alert

Creates a new Devices alert.

Path Params
uuid
required
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}$

ID of your ControlUp organization. You can find your organization ID on the API Key Management page in the DEX platform.

Body Params

Desktop alert configuration details

Desktop alert configuration details

integrations
object

Integrations with third-party software.

selfServiceNotification
object

ControlUp Connect / end-user self-service notification settings.

tags
array of strings

List of device tags to filter which devices can trigger this alert.
If empty or omitted, the alert applies to all devices.
If set, the alert triggers only for devices that have at least one matching tag.

tags
notifications
object

Notifications to send when the alert triggers.

actions
object

Followup actions to run on devices that trigger the alert.

double
required

The minimum duration between subsequent alert activations.
If the retrigger interval duration has not passed since the last alert activation, then the alert won't activate even if all conditions are met.

double
required

The time window in seconds for the hitsNumber parameter.

double
required

The number of times that the alert conditions (metrics) must be met within the specified time window (hitsTimeWindowSeconds) for the alert to trigger.

metrics
array of objects
required

List of conditions that must be met for the alert to trigger. Multiple conditions are combined with AND operators.

metrics*
string
required

The data index used for the alert. The alert conditions in the metrics object must be based on fields within this data index.
You can use List all data indices to get a list of indices, and Get a data index to see the data within an index.

number
enum
required

OS platform for followup action script execution. Scripts configured in the actions object must match the platform in this parameter.
Note that this parameter does not control which devices can trigger the alert.
If you don't want the alert to trigger a script, you can set this to 0.
(0 - No platform selected, 1 - Windows, 2 - macOS, 3 - Linux, 4 - ChromeOS)

Allowed:
boolean
required

Whether the alert is enabled.

string
enum
required

The alert's severity level.

Allowed:
string

The alert's description.

string
required

The alert's name.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json